Skip to content
Primary navigation

List user organization role assignments

GET/organization/users/{user_id}/roles

Lists the organization roles assigned to a user within the organization.

Path ParametersExpand Collapse
user_id: string
Query ParametersExpand Collapse
after: optional string

Cursor for pagination. Provide the value from the previous response's next field to continue listing organization roles.

limit: optional number

A limit on the number of organization role assignments to return.

minimum0
maximum1000
order: optional "asc" or "desc"

Sort order for the returned organization roles.

One of the following:
"asc"
"desc"
ReturnsExpand Collapse
data: array of object { id, created_at, created_by, 8 more }

Role assignments returned in the current page.

id: string

Identifier for the role.

created_at: number

When the role was created.

formatint64
created_by: string

Identifier of the actor who created the role.

created_by_user_obj: map[unknown]

User details for the actor that created the role, when available.

description: string

Description of the role.

metadata: map[unknown]

Arbitrary metadata stored on the role.

name: string

Name of the role.

permissions: array of string

Permissions associated with the role.

predefined_role: boolean

Whether the role is predefined by OpenAI.

resource_type: string

Resource type the role applies to.

updated_at: number

When the role was last updated.

formatint64
has_more: boolean

Whether additional assignments are available when paginating.

object: "list"

Always list.

List user organization role assignments

curl https://api.openai.com/v1/organization/users/user_abc123/roles \
  -H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
  -H "Content-Type: application/json"
{
    "object": "list",
    "data": [
        {
            "id": "role_01J1F8ROLE01",
            "name": "API Group Manager",
            "permissions": [
                "api.groups.read",
                "api.groups.write"
            ],
            "resource_type": "api.organization",
            "predefined_role": false,
            "description": "Allows managing organization groups",
            "created_at": 1711471533,
            "updated_at": 1711472599,
            "created_by": "user_abc123",
            "created_by_user_obj": {
                "id": "user_abc123",
                "name": "Ada Lovelace",
                "email": "ada@example.com"
            },
            "metadata": {}
        }
    ],
    "has_more": false,
    "next": null
}
Returns Examples
{
    "object": "list",
    "data": [
        {
            "id": "role_01J1F8ROLE01",
            "name": "API Group Manager",
            "permissions": [
                "api.groups.read",
                "api.groups.write"
            ],
            "resource_type": "api.organization",
            "predefined_role": false,
            "description": "Allows managing organization groups",
            "created_at": 1711471533,
            "updated_at": 1711472599,
            "created_by": "user_abc123",
            "created_by_user_obj": {
                "id": "user_abc123",
                "name": "Ada Lovelace",
                "email": "ada@example.com"
            },
            "metadata": {}
        }
    ],
    "has_more": false,
    "next": null
}